Package io.vertx.rxjava3.openapi.validation

## Class ValidatedRequest

- java.lang.Object
- - io.vertx.rxjava3.openapi.validation.ValidatedRequest

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`
  Direct Known Subclasses:
    `ValidatableRequest`

      public class ValidatedRequest
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ValidatedRequest>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidatedRequest​(ValidatedRequest delegate)` |
    `ValidatedRequest​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `RequestParameter` | `getBody()` |
    `Map<String,​RequestParameter>` | `getCookies()` |
    `ValidatedRequest` | `getDelegate()` |
    `Map<String,​RequestParameter>` | `getHeaders()` |
    `Map<String,​RequestParameter>` | `getPathParameters()` |
    `Map<String,​RequestParameter>` | `getQuery()` |
    `int` | `hashCode()` |
    `static ValidatedRequest` | `newInstance​(ValidatedRequest arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ValidatedRequest> __TYPE_ARG

  - ### Constructor Detail

    - #### ValidatedRequest

          public ValidatedRequest​(ValidatedRequest delegate)

    - #### ValidatedRequest

          public ValidatedRequest​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ValidatedRequest getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getCookies

          public Map<String,​RequestParameter> getCookies()

      Returns:
        the cookie parameters.

    - #### getPathParameters

          public Map<String,​RequestParameter> getPathParameters()

      Returns:
        the path parameters.

    - #### getQuery

          public Map<String,​RequestParameter> getQuery()

      Returns:
        the query parameters.

    - #### getHeaders

          public Map<String,​RequestParameter> getHeaders()

      Returns:
        the header parameters.

    - #### getBody

          public RequestParameter getBody()

      Returns:
        the body.

    - #### newInstance

          public static ValidatedRequest newInstance​(ValidatedRequest arg)